---
- name: List file in directory
  hosts: all
  gather_facts: false
  vars_files:
  #  - vars_files/f5vars_auth_onboarding.yaml
  vars:
    directory: /tmp
  tasks:
    - command: "ls {{directory}}"
      register: dir_out
    - debug: var={{item}}
      with_items: dir_out.stdout_lines